# - Find libFLAC
# Find the native libFLAC includes and libraries
#
#  FLAC_INCLUDE_DIR - where to find FLAC/all.h, etc.
#  FLAC_LIBRARIES   - List of libraries when using libFLAC.
#  FLAC_FOUND       - True if libFLAC found.

if(NOT FLAC_INCLUDE_DIR)
  find_path(FLAC_INCLUDE_DIR FLAC/all.h)
endif(NOT FLAC_INCLUDE_DIR)

if(NOT FLAC_LIBRARY)
  find_library(FLAC_LIBRARY
               NAMES FLAC)
endif(NOT FLAC_LIBRARY)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(FLAC DEFAULT_MSG
                                  FLAC_LIBRARY FLAC_INCLUDE_DIR)

# debug
message(STATUS "libFLAC include dir: ${FLAC_INCLUDE_DIR}")
message(STATUS "libFLAC: ${FLAC_LIBRARY}")

set(FLAC_LIBRARIES ${FLAC_LIBRARY})

mark_as_advanced(FLAC_INCLUDE_DIR FLAC_LIBRARY)
